summaryrefslogtreecommitdiff
path: root/package/dhcp-forwarder/files/dhcp_fwd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/dhcp-forwarder/files/dhcp_fwd.init')
-rw-r--r--package/dhcp-forwarder/files/dhcp_fwd.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/dhcp-forwarder/files/dhcp_fwd.init b/package/dhcp-forwarder/files/dhcp_fwd.init
new file mode 100644
index 000000000..165e3cf52
--- /dev/null
+++ b/package/dhcp-forwarder/files/dhcp_fwd.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG dhcp-forwarder
+#INIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${dhcp_fwd:-NO}" = x"NO" && exit 0
+ test x"$dhcp_fwd" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/dhcp-fwd
+ ;;
+stop)
+ kill $(pgrep -f /usr/sbin/dhcp-fwd)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?